View Issue Details

IDProjectCategoryView StatusLast Update
0003131File formatsFeaturepublic2021-03-04 22:34
ReporterFranck78 Assigned Tochennes  
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Target Version0.20Fixed in Version0.19 
Summary0003131: fix export format in options
DescriptionHello team

Lot of small things to do to ease life of Freecad users ;-)

It is perfect to have 20 exports methods available. But nobody on earth will ever use them simultaneously. Freecad is somewhere in a fixed chain of operations.

So please, let me fix one time for all the default export extension AND ALSO suggest a default filename based on the FCStd file in use.

You don't have to tweak the Pref dialog box (translations work), just blindly record the last export method choice and re-select it as default.


Even better, add an entry under the "File menu"
-export ...
-export pdf (pretty useless)
-export to 'myfile.XYZ' (yes !)



Thank you
Franck
Additional Informationversion 0.16 build 6710 (somewhere around april 2017)
Tags#lowhangingfruit
FreeCAD Information

Activities

Kunda1

2017-07-19 22:28

administrator   ~0009785

@Franck78 Please open a thread on the forum, especially since you are using the stable 0.16 which is lightyears behind 0.17dev. Please also link forum thread to this ticket and vice-a-versa so we can track the progress. Thank you.

Kunda1

2017-08-13 16:46

administrator   ~0009913

@Franck78 ping

Franck78

2017-08-13 17:27

reporter   ~0009918

Last edited: 2017-08-13 17:28

Hello Kunda1,

ok, I gave a try to 0.17, built ~ 30 july.

Nothing as changed.

no file name suggested for export. no smart 'extension' management (remembering last type used).

Just say you want to export your object to xxx.STL, allways and only STL and see the number of useless keyboard interactions needed. And also, this export/output file never requires an overwrite confirmation. It is not the working file. It is a result.

The all thing can be done with a single entry in File menu.

Kunda1

2017-08-13 20:36

administrator   ~0009919

@Franck78 like I mentioned in 0003131:0009785 please open a forum thread and talk to the community.

Kunda1

2017-08-30 18:07

administrator   ~0010050

Last edited: 2017-08-31 09:25

Opened forum thread: https://forum.freecadweb.org/viewtopic.php?f=8&t=24134

Edit: Responses:
https://forum.freecadweb.org/viewtopic.php?f=8&t=24134&p=188965#p188962
https://forum.freecadweb.org/viewtopic.php?f=8&t=24134&p=188965#p188965

chennes

2020-12-20 03:39

developer   ~0015161

The failure to correctly re-select the previously-selected filter on some operating systems was a bug in the save dialog code. That is fixed, and an implementation of a default filename for the export is added, by PR 4164.

chennes

2021-02-04 20:05

developer   ~0015270

This PR was merged today, so as of commit 48fca8c2b this feature request is completed.

Kunda1

2021-03-04 22:32

administrator   ~0015486

FreeCAD master 48fca8c2

Kunda1

2021-03-04 22:34

administrator   ~0015487

Closing. Thank you!

Related Changesets

FreeCAD: master 48fca8c2

2020-12-16 18:04:33

chennes


Committer: wmayer Details Diff
Add default filename for exports

When exporting a single file, the filename defaults to the current FCStd
name plus a dash and the name of the object. If multiple objects are
selected, the default is the basename of the FCStd file. No extension is
added. This behavior is controllable via two hidden preferences,
BaseApp/Preferences/General/ExportDefaultFilenameSingle
BaseApp/Preferences/General/ExportDefaultFilenameMultiple

_Allow regeneration of default on new exports_

If an export has been done and it used the default filename, on the next
export regenerate the filename (potentially updating the selected object
name in that filename) instead of just defaulting to the last name.

_Search for extension in chosen filter first_

Originally the file dialog simply searched for the first available extension
in the overall filter list. This commit modifies it to first check the
selected extension, and only if that is empty to search the full filter
list. This section of code only runs if a default filename is set but
does not have an extension ("suffix" in Qt's terms).
Affected Issues
0003131
mod - src/Gui/CommandDoc.cpp Diff File
mod - src/Gui/FileDialog.cpp Diff File

Issue History

Date Modified Username Field Change
2017-07-19 17:32 Franck78 New Issue
2017-07-19 22:28 Kunda1 Note Added: 0009785
2017-07-19 22:28 Kunda1 Status new => feedback
2017-08-13 16:46 Kunda1 Note Added: 0009913
2017-08-13 16:46 Kunda1 Tag Attached: #post-to-forum
2017-08-13 17:27 Franck78 Note Added: 0009918
2017-08-13 17:27 Franck78 Status feedback => new
2017-08-13 17:28 Franck78 Note Edited: 0009918
2017-08-13 20:36 Kunda1 Note Added: 0009919
2017-08-30 18:07 Kunda1 Note Added: 0010050
2017-08-31 09:23 Kunda1 Tag Detached: #post-to-forum
2017-08-31 09:24 Kunda1 Tag Attached: #lowhangingfruit
2017-08-31 09:24 Kunda1 Note Edited: 0010050
2017-08-31 09:25 Kunda1 Note Edited: 0010050
2020-02-23 23:08 Kunda1 Target Version => 0.19
2020-12-20 03:39 chennes Note Added: 0015161
2021-02-04 20:05 chennes Note Added: 0015270
2021-02-06 06:31 abdullah Target Version => 0.20
2021-03-04 22:32 Kunda1 Note Added: 0015486
2021-03-04 22:32 Kunda1 Changeset attached => FreeCAD master 48fca8c2
2021-03-04 22:34 Kunda1 Assigned To => chennes
2021-03-04 22:34 Kunda1 Status new => closed
2021-03-04 22:34 Kunda1 Resolution open => fixed
2021-03-04 22:34 Kunda1 Fixed in Version => 0.19
2021-03-04 22:34 Kunda1 Note Added: 0015487